%using Microsoft.VisualStudio.TextManager.Interop
%namespace Babel.Parser
%valuetype LexValue
%partial

/* %expect 5 */


%union {
    public string str;
}


%{
    ErrorHandler handler = null;
    public void SetHandler(ErrorHandler hdlr) { handler = hdlr; }
    internal void CallHdlr(string msg, LexLocation val)
    {
        handler.AddError(msg, val.sLin, val.sCol, val.eCol - val.sCol);
    }
%}

%token NUMBER	
%token CAPLETTER		
%token LOWLETTER

%%

Program
    : Declarations 
    ;

Declarations
	:  Declarations  Declaration
	| Declaration
	;

Declaration
	: NUMBER
	| CAPLETTER
	| LOWLETTER
	;

%%



